package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevCofferdamMapper;
import com.ruoyi.project.patrol.dev.domain.TDevCofferdam;
import com.ruoyi.project.patrol.dev.service.ITDevCofferdamService;

/**
 * 蒸汽裂解装置各区域围堰Service业务层处理
 * 
 * @author admin
 * @date 2023-11-06
 */
@Service
public class TDevCofferdamServiceImpl implements ITDevCofferdamService 
{
    @Autowired
    private TDevCofferdamMapper tDevCofferdamMapper;

    /**
     * 查询蒸汽裂解装置各区域围堰
     * 
     * @param id 蒸汽裂解装置各区域围堰主键
     * @return 蒸汽裂解装置各区域围堰
     */
    @Override
    public TDevCofferdam selectTDevCofferdamById(Long id)
    {
        return tDevCofferdamMapper.selectTDevCofferdamById(id);
    }

    /**
     * 查询蒸汽裂解装置各区域围堰列表
     * 
     * @param tDevCofferdam 蒸汽裂解装置各区域围堰
     * @return 蒸汽裂解装置各区域围堰
     */
    @Override
    public List<TDevCofferdam> selectTDevCofferdamList(TDevCofferdam tDevCofferdam)
    {
        return tDevCofferdamMapper.selectTDevCofferdamList(tDevCofferdam);
    }

    /**
     * 新增蒸汽裂解装置各区域围堰
     * 
     * @param tDevCofferdam 蒸汽裂解装置各区域围堰
     * @return 结果
     */
    @Override
    public int insertTDevCofferdam(TDevCofferdam tDevCofferdam)
    {
        return tDevCofferdamMapper.insertTDevCofferdam(tDevCofferdam);
    }

    /**
     * 修改蒸汽裂解装置各区域围堰
     * 
     * @param tDevCofferdam 蒸汽裂解装置各区域围堰
     * @return 结果
     */
    @Override
    public int updateTDevCofferdam(TDevCofferdam tDevCofferdam)
    {
        return tDevCofferdamMapper.updateTDevCofferdam(tDevCofferdam);
    }

    /**
     * 批量删除蒸汽裂解装置各区域围堰
     * 
     * @param ids 需要删除的蒸汽裂解装置各区域围堰主键
     * @return 结果
     */
    @Override
    public int deleteTDevCofferdamByIds(Long[] ids)
    {
        return tDevCofferdamMapper.deleteTDevCofferdamByIds(ids);
    }

    /**
     * 删除蒸汽裂解装置各区域围堰信息
     * 
     * @param id 蒸汽裂解装置各区域围堰主键
     * @return 结果
     */
    @Override
    public int deleteTDevCofferdamById(Long id)
    {
        return tDevCofferdamMapper.deleteTDevCofferdamById(id);
    }
}
